Newcertbro for Linux

Open-source CLI for TLS automation, DNS DCV, and unattended renewals.

Explore certbro
regfish
DNS automation
v1.6.2
Download OpenAPI
Get DNS records
List all DNS records stored in the zone for the specified domain.
GET
/dns/{domain}/rr
ResourceRecordsByDomain

Authentication

x-api-key

Parameters

Name
Type
Format
Required
Description
domain
path
string
Required
Fully Qualified Domain Name.

Request example

GET
curl --request GET \
  --url 'https://api.regfish.com/dns/www.example.com/rr' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
The record created, with its new ID
application/jsonrecordResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": [
    {
      "type": "A",
      "name": "www.example.com.",
      "data": "12.12.12.12",
      "id": 1,
      "auto": true,
      "active": true,
      "ts_created": 1,
      "ts_updated": 1
    }
  ]
}
400
Invalid request
application/jsonError
Response example 400
{
  "success": false,
  "message": "Invalid request",
  "error": "Invalid request"
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
DNS zone or records not found
application/jsonError
Response example 404
{
  "success": false,
  "message": "DNS zone or records not found",
  "error": "DNS zone or records not found"
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Become part of the community

The Regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every Regfish customer.

Cart
 
Total
€0.00
All prices include VAT.
We use cookies to provide the best possible experience. Choose your preferences for cookie usage. Privacy policy